summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexandre Rostovtsev <tetromino@gentoo.org>2017-11-13 16:32:21 -0500
committerAlexandre Rostovtsev <tetromino@gentoo.org>2017-11-13 16:35:48 -0500
commit2478a50d1a8e5eddd30087e006d9d237c96659ff (patch)
tree69ebd41d1cb1175bf7d999856c8870b852333265
parentwww-plugins/chrome-binary-plugins: automated update (62.0.3202.94) (diff)
downloadgentoo-2478a50d1a8e5eddd30087e006d9d237c96659ff.tar.gz
gentoo-2478a50d1a8e5eddd30087e006d9d237c96659ff.tar.bz2
gentoo-2478a50d1a8e5eddd30087e006d9d237c96659ff.zip
dev-libs/libsass: version bump to 3.4.6
Package-Manager: Portage-2.3.13, Repoman-2.3.4
-rw-r--r--dev-libs/libsass/Manifest1
-rw-r--r--dev-libs/libsass/libsass-3.4.6.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-libs/libsass/Manifest b/dev-libs/libsass/Manifest
index 1642f26ea63..1b4514c6c9a 100644
--- a/dev-libs/libsass/Manifest
+++ b/dev-libs/libsass/Manifest
@@ -1 +1,2 @@
DIST libsass-3.4.5.tar.gz 318689 SHA256 fd0cb47479b4eae03154f23e17ab846aa81ba168c9aa5fa493b8fa42d10842c8 SHA512 5e3f56d44d100067d68e338fa97209a78d80c3536d64fdf48d83ec5351f944dbbe50e1050ffc8189b3ae86fd86d7b121229a3866f6e0287abc55af3770ed2bb6 WHIRLPOOL 852c61f4b7f3999a1d9de9e0075a4358e2323054797acbd2dd396b3486fcb655350897c1c65b55a5ec02f24dd62c771648b756911cbbcf48e519775b6afbf736
+DIST libsass-3.4.6.tar.gz 319190 SHA256 686bc09cc31bba32915f42a6da5e7d221c07690d4d597e2748cdd02abd3d7c2c SHA512 2715a0f38709df2f4f60ff4f14106495521f3c7c5762c8590eee630cf769dc7571d38a3e944a90ab8463552d6434994a76a95e23e994e9123941db072aea66c1 WHIRLPOOL f341450df821b8ae58b6eab4c916f7459d236dd563c8a06eed89a86d03bd389b328a4b894cd5eab01118950a4bee25db048e7c591f9a060efd07caa08c729d60
diff --git a/dev-libs/libsass/libsass-3.4.6.ebuild b/dev-libs/libsass/libsass-3.4.6.ebuild
new file mode 100644
index 00000000000..a220ac3e1e1
--- /dev/null
+++ b/dev-libs/libsass/libsass-3.4.6.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils ltprune multilib-minimal
+
+if [[ ${PV} = *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/sass/libsass.git"
+ inherit git-r3
+ KEYWORDS=
+else
+ SRC_URI="https://github.com/sass/libsass/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux"
+fi
+
+DESCRIPTION="A C/C++ implementation of a Sass CSS compiler"
+HOMEPAGE="https://github.com/sass/libsass"
+LICENSE="MIT"
+SLOT="0/0" # libsass soname
+IUSE="static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+DOCS=( Readme.md SECURITY.md )
+
+src_prepare() {
+ default
+
+ if [[ ${PV} != *9999 ]]; then
+ [[ -f VERSION ]] || echo "${PV}" > VERSION
+ fi
+ eautoreconf
+
+ # only sane way to deal with various version-related scripts, env variables etc.
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ --enable-shared
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+ prune_libtool_files
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc -r "${S}/docs"
+}